import { IField, IHTMLAttributes } from '../interfaces/ifield';
import { ICustomValidation } from '../interfaces/icustom-validation';
import { IValidator } from '../interfaces/ivalidator';
import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup, UntypedFormBuilder, FormControl } from '@angular/forms';
import { FormService } from '../services/form.service';
import { TranslationService } from '../services/translation.service';
import * as i0 from "@angular/core";
export declare class BaseFieldComponent implements IField, OnInit {
    fb: UntypedFormBuilder;
    fs: FormService;
    ts: TranslationService;
    private readonly MSGerrors;
    name: string;
    value: string;
    placeholder: string;
    disabled: boolean;
    minLength: number;
    maxLength: number;
    min: number;
    max: number;
    required: boolean;
    form: FormGroup;
    control: FormControl;
    hintlabel: string;
    hint: string;
    tooltip: string;
    htmlType: string;
    iconBtn: string;
    iconAction: EventEmitter<any>;
    validators: IValidator;
    customValidation: ICustomValidation[];
    htmlAttribute: IHTMLAttributes;
    autocomplete: string;
    change: EventEmitter<any>;
    init: boolean;
    field: IField;
    constructor(fb: UntypedFormBuilder, fs: FormService, ts: TranslationService);
    get(): BaseFieldComponent;
    getErrorMeesage(): any;
    getMeesage(type: string, param: any): any;
    ngOnInit(): void;
    setUpConfig(config: IField): void;
    getValue(): any;
    getName(): string;
    synchronizeValidator(): void;
    getValidators(): IValidator;
    getFieldConfig(): IField;
    iconAct(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseFieldComponent, "app-base-field", never, { "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "minLength": { "alias": "minLength"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "required": { "alias": "required"; "required": false; }; "form": { "alias": "form"; "required": false; }; "control": { "alias": "control"; "required": false; }; "hintlabel": { "alias": "hintlabel"; "required": false; }; "hint": { "alias": "hint"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "htmlType": { "alias": "htmlType"; "required": false; }; "iconBtn": { "alias": "iconBtn"; "required": false; }; "iconAction": { "alias": "iconAction"; "required": false; }; "validators": { "alias": "validators"; "required": false; }; "customValidation": { "alias": "customValidation"; "required": false; }; "htmlAttribute": { "alias": "htmlAttribute"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; "change": { "alias": "change"; "required": false; }; }, {}, never, never, false, never>;
}
